Subject: bug#42269: Remove non-GMP code from coreutils factor.c

From: Paul Eggert <[email-masked]>
Date: Wed, 8 Jul 2020 11:29:47 -0700

On 7/8/20 9:57 AM, Torbjörn Granlund wrote:

> The non-GMP code of coreutils was extremely well-tuned by me and Niels
> Möller a couple of years ago.

How time flies! The code was merged in 2012.

> By leaving just the GMP code, you would create a pretty useless factor
> command.  Any naive old factor command would often beat it.  It would
> make much more sense to remove the factor command altogether.

OK, thanks. Then let's forget about the patch I just proposed.

Could you give an example of where the 128-bit code shines, compared to the GMP 
code on the same arguments? I could add the example as a comment in the factor.c 
code, to let me and future maintainers know why it's useful for performance.